package org.jboss.cache.eviction;

import org.jboss.cache.Cache;
import org.jboss.cache.Fqn;

/**
 * Performs an eviction on a given Fqn.
 *
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 3.0
 */
public interface EvictionActionPolicy
{
   /**
    * Sets a reference to the cache.
    *
    * @param cache cache
    */
   void setCache(Cache<?, ?> cache);

   /**
    * Performs an eviction on a given node.
    *
    * @param fqn fqn to evict
    * @return true if the eviction was successful, false if not.
    */
   boolean evict(Fqn fqn);
}
