package org.jboss.cache.invocation;

import org.jboss.cache.DataContainer;
import org.jboss.cache.Fqn;
import org.jboss.cache.InvocationContext;
import org.jboss.cache.NodeSPI;

import java.util.Collections;
import java.util.Map;

/**
 * This is to provide backward compatibility with legacy locking schemes.
 *
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 3.0
 * @deprecated will be removed along with optimistic and pessimistic locking.
 */
@Deprecated
public class LegacyInvocationContext extends InvocationContext
{
   DataContainer container;

   public LegacyInvocationContext(DataContainer container)
   {
      this.container = container;
   }

   public NodeSPI lookUpNode(Fqn fqn)
   {
      return container.peek(fqn);
   }

   public void putLookedUpNode(Fqn f, NodeSPI n)
   {
      // a no-op by default.
   }

   public void putLookedUpNodes(Map<Fqn, NodeSPI> lookedUpNodes)
   {
      // a no-op by default.
   }

   public void clearLookedUpNodes()
   {
      // no-op
   }

   public Map<Fqn, NodeSPI> getLookedUpNodes()
   {
      // a no-op by default.
      return Collections.emptyMap();
   }

   public InvocationContext copy()
   {
      LegacyInvocationContext copy = new LegacyInvocationContext(container);
      doCopy(copy);
      return copy;
   }
}
