package org.jboss.cache.loader.tcp;

import org.jboss.cache.Cache;
import org.jboss.cache.jmx.CacheJmxWrapperMBean;

import java.net.UnknownHostException;

/**
 * StandardMBean interface for {@link TcpCacheServer}.
 *
 * @author Bela Ban
 * @author Brian Stansberry
 * @version $Id: TcpCacheServerMBean.java 6655 2008-09-02 05:41:26Z manik.surtani@jboss.com $
 */
public interface TcpCacheServerMBean
{
   void create() throws Exception;

   void start() throws Exception;

   void stop();

   void destroy();

   String getBindAddress();

   void setBindAddress(String bind_addr) throws UnknownHostException;

   int getPort();

   void setPort(int port);

   String getConfig();

   void setConfig(String config);

   Cache getCache();

   void setCacheJmxWrapper(CacheJmxWrapperMBean wrapper);

   String getConnections();
}
